<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4265
Name: AU-Diagnosis Concern Act
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4265-2017-11-20T220318">
   <title>AU-Diagnosis Concern Act</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4265
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]
Item: (AUDiagnosisConcernAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4265
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]
Item: (AUDiagnosisConcernAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]"
         id="d20e1319-false-d8256e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="string(@classCode) = ('ACT')">(AUDiagnosisConcernAct): Der Wert von classCode MUSS 'ACT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="string(@moodCode) = ('EVN')">(AUDiagnosisConcernAct): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4265']) &gt;= 1">(AUDiagnosisConcernAct): Element hl7:templateId[@root = '1.2.276.0.76.10.4265'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4265']) &lt;= 1">(AUDiagnosisConcernAct): Element hl7:templateId[@root = '1.2.276.0.76.10.4265'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:id) &gt;= 1">(AUDiagnosisConcernAct): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &gt;= 1">(AUDiagnosisConcernAct): Element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &lt;= 1">(AUDiagnosisConcernAct): Element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:statusCode[not(@nullFlavor)]) &gt;= 1">(AUDiagnosisConcernAct): Element hl7:statusCode[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:statusCode[not(@nullFlavor)]) &lt;= 1">(AUDiagnosisConcernAct): Element hl7:statusCode[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)][hl7:low]) &gt;= 1">(AUDiagnosisConcernAct): Element hl7:effectiveTime[not(@nullFlavor)][hl7:low] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)][hl7:low]) &lt;= 1">(AUDiagnosisConcernAct): Element hl7:effectiveTime[not(@nullFlavor)][hl7:low] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]) &gt;= 1">(AUDiagnosisConcernAct): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4265
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:templateId[@root = '1.2.276.0.76.10.4265']
Item: (AUDiagnosisConcernAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:templateId[@root = '1.2.276.0.76.10.4265']"
         id="d20e1325-false-d8325e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="string(@root) = ('1.2.276.0.76.10.4265')">(AUDiagnosisConcernAct): Der Wert von root MUSS '1.2.276.0.76.10.4265' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4265
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:id
Item: (AUDiagnosisConcernAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4265
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]
Item: (AUDiagnosisConcernAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]"
         id="d20e1332-false-d8345e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(AUDiagnosisConcernAct): Der Elementinhalt MUSS einer von 'code 'CONC' codeSystem '2.16.840.1.113883.5.6'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4265
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:statusCode[not(@nullFlavor)]
Item: (AUDiagnosisConcernAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4265
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:effectiveTime[not(@nullFlavor)][hl7:low]
Item: (AUDiagnosisConcernAct)
-->

   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:effectiveTime[not(@nullFlavor)][hl7:low]"
         id="d20e1340-false-d8366e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(AUDiagnosisConcernAct): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(AUDiagnosisConcernAct): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="count(hl7:high) &lt;= 1">(AUDiagnosisConcernAct): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4265
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:effectiveTime[not(@nullFlavor)][hl7:low]/hl7:low[not(@nullFlavor)]
Item: (AUDiagnosisConcernAct)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4265
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:effectiveTime[not(@nullFlavor)][hl7:low]/hl7:high
Item: (AUDiagnosisConcernAct)
-->


   <!--
Template derived rules for ID: 1.2.276.0.76.10.4265
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]
Item: (AUDiagnosisConcernAct)
-->
   <rule context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4265']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4265-2017-11-20T220318.html"
              test="string(@typeCode) = ('SUBJ')">(AUDiagnosisConcernAct): Der Wert von typeCode MUSS 'SUBJ' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
