<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4267
Name: Accident Observation (01)
Description: Mit dieser Observation werden die 3 Checkboxen, die Angaben zum Unfall machen, über ein Value Set repräsentiert. Die Information "Durchgangsarzt" wird über einen qualifier abgebildet. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4267-2017-09-24T104950">
   <title>Accident Observation (01)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4267
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]
Item: (F01AccidentObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4267
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]
Item: (F01AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]"
         id="d20e1548-false-d8881e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(F01AccidentObservation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="@moodCode">(F01AccidentObservation): Attribut @moodCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.18943-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(F01AccidentObservation): Der Wert von moodCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.18943' x_ActMoodDocumentObservation (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4267']) &gt;= 1">(F01AccidentObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4267'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4267']) &lt;= 1">(F01AccidentObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4267'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:code[(@code = 'ACCIDENT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &gt;= 1">(F01AccidentObservation): Element hl7:code[(@code = 'ACCIDENT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:code[(@code = 'ACCIDENT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(F01AccidentObservation): Element hl7:code[(@code = 'ACCIDENT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(F01AccidentObservation): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:effectiveTime) &lt;= 1">(F01AccidentObservation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(F01AccidentObservation): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(F01AccidentObservation): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4267
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:templateId[@root = '1.2.276.0.76.10.4267']
Item: (F01AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:templateId[@root = '1.2.276.0.76.10.4267']"
         id="d20e1557-false-d8953e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="string(@root) = ('1.2.276.0.76.10.4267')">(F01AccidentObservation): Der Wert von root MUSS '1.2.276.0.76.10.4267' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4267
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:code[(@code = 'ACCIDENT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (F01AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:code[(@code = 'ACCIDENT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d20e1562-false-d8968e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="@nullFlavor or (@code='ACCIDENT' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(F01AccidentObservation): Der Elementinhalt MUSS einer von 'code 'ACCIDENT' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4267
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (F01AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d20e1567-false-d8987e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(F01AccidentObservation): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4267
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:effectiveTime
Item: (F01AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:effectiveTime"
         id="d20e1573-false-d9007e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4267
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (F01AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e1575-false-d9020e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(F01AccidentObservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.457 S_KBV_01_Accident (DYNAMIC)' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:qualifier[hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]) &lt;= 1">(F01AccidentObservation): Element hl7:qualifier[hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4267
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]
Item: (F01AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]"
         id="d20e1579-false-d9048e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]) &gt;= 1">(F01AccidentObservation): Element hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]) &lt;= 1">(F01AccidentObservation): Element hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:value[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]) &gt;= 1">(F01AccidentObservation): Element hl7:value[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="count(hl7:value[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]) &lt;= 1">(F01AccidentObservation): Element hl7:value[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4267
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]/hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]
Item: (F01AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]/hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]"
         id="d20e1586-false-d9078e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="@nullFlavor or (@code='D-ARZT' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(F01AccidentObservation): Der Elementinhalt MUSS einer von 'code 'D-ARZT' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4267
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]/hl7:value[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]
Item: (F01AccidentObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.457-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]/hl7:value[(@code = 'D-ARZT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]"
         id="d20e1591-false-d9095e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4267-2017-09-24T104950.html"
              test="@nullFlavor or (@code='D-ARZT' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(F01AccidentObservation): Der Elementinhalt MUSS einer von 'code 'D-ARZT' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
</pattern>
