<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4268
Name: Treatment Eingliederung Observation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4268-2017-09-24T111313">
   <title>Treatment Eingliederung Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4268
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]]
Item: (F01TreatmentEingliederungObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4268
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]
Item: (F01TreatmentEingliederungObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]"
         id="d20e1610-false-d9129e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(F01TreatmentEingliederungObservation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="@moodCode">(F01TreatmentEingliederungObservation): Attribut @moodCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.18943-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(F01TreatmentEingliederungObservation): Der Wert von moodCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.18943' x_ActMoodDocumentObservation (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4268']) &gt;= 1">(F01TreatmentEingliederungObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4268'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4268']) &lt;= 1">(F01TreatmentEingliederungObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4268'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="count(hl7:code[(@code = 'EINGLIEDERUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &gt;= 1">(F01TreatmentEingliederungObservation): Element hl7:code[(@code = 'EINGLIEDERUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="count(hl7:code[(@code = 'EINGLIEDERUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(F01TreatmentEingliederungObservation): Element hl7:code[(@code = 'EINGLIEDERUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(F01TreatmentEingliederungObservation): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(F01TreatmentEingliederungObservation): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4268
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]/hl7:templateId[@root = '1.2.276.0.76.10.4268']
Item: (F01TreatmentEingliederungObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]/hl7:templateId[@root = '1.2.276.0.76.10.4268']"
         id="d20e1619-false-d9183e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TreatmentEingliederungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="string(@root) = ('1.2.276.0.76.10.4268')">(F01TreatmentEingliederungObservation): Der Wert von root MUSS '1.2.276.0.76.10.4268' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4268
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]/hl7:code[(@code = 'EINGLIEDERUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (F01TreatmentEingliederungObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]/hl7:code[(@code = 'EINGLIEDERUNG' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d20e1624-false-d9198e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TreatmentEingliederungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="@nullFlavor or (@code='EINGLIEDERUNG' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(F01TreatmentEingliederungObservation): Der Elementinhalt MUSS einer von 'code 'EINGLIEDERUNG' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4268
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]/hl7:value[not(@nullFlavor)]
Item: (F01TreatmentEingliederungObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4268']]/hl7:value[not(@nullFlavor)]"
         id="d20e1629-false-d9214e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20190210T131635/tmp-1.2.276.0.76.10.4268-2017-09-24T111313.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01TreatmentEingliederungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
